Page MenuHomePhabricator

Hard deprecate Revision::getParentId
Closed, ResolvedPublic

Description

Remaining deployed uses outside of core: (https://codesearch.wmflabs.org/deployed/?q=-%3EgetParentId%5C(%5C)&i=nope&files=&repos=)

  • PageTriage - Hooks::onNewRevisionFromEditComplete[1]
  • MobileFrontEnd: SpecialMobileContributions::showContributions[2]

In core:

[1] Handler for NewRevisionFromEditComplete, c.f. T250338: Replace `NewRevisionFromEditComplete` with a new hook
[2] Revision can be removed entirely from relevant code with T250431: ContribsPager::tryToCreateValidRevision returns Revision objects

Event Timeline

DannyS712 triaged this task as Medium priority.Apr 24 2020, 3:50 AM
DannyS712 created this task.
DannyS712 moved this task from Unsorted to In progress on the User-DannyS712 board.

Change 592327 had a related patch set uploaded (by DannyS712; owner: DannyS712):
[mediawiki/core@master] CategoryMembershipChangeTest: Reduce use of Revision objects

https://gerrit.wikimedia.org/r/592327

Change 592513 had a related patch set uploaded (by DannyS712; owner: DannyS712):
[mediawiki/core@master] Add ContribsPager::tryCreatingRevisionRecord

https://gerrit.wikimedia.org/r/592513

Change 592327 merged by jenkins-bot:
[mediawiki/core@master] CategoryMembershipChangeTest: Remove use of Revision objects

https://gerrit.wikimedia.org/r/592327

Change 592785 had a related patch set uploaded (by DannyS712; owner: DannyS712):
[mediawiki/extensions/MobileFrontend@master] SpecialMobileContributions: remove all uses of Revision objects

https://gerrit.wikimedia.org/r/592785

Change 592513 merged by jenkins-bot:
[mediawiki/core@master] Add ContribsPager::tryCreatingRevisionRecord

https://gerrit.wikimedia.org/r/592513

DannyS712 updated the task description. (Show Details)Apr 27 2020, 11:18 PM

Change 592785 merged by jenkins-bot:
[mediawiki/extensions/MobileFrontend@master] SpecialMobileContributions: remove all uses of Revision objects

https://gerrit.wikimedia.org/r/592785

DannyS712 updated the task description. (Show Details)Apr 29 2020, 3:39 PM
DannyS712 changed the task status from Open to Stalled.May 1 2020, 5:25 AM
DannyS712 updated the task description. (Show Details)

Cannot proceed until T250338: Replace `NewRevisionFromEditComplete` with a new hook provides a replacement hook to use in PageTriage - other than PageTriage's hook handler, only uses are in core tests that will be told to ignore the deprecation when the hard deprecation is implemented

Change 598868 had a related patch set uploaded (by DannyS712; owner: DannyS712):
[mediawiki/extensions/PageTriage@master] Replace use of NewRevisionFromEditComplete hook

https://gerrit.wikimedia.org/r/598868

DannyS712 changed the task status from Stalled to Open.May 26 2020, 10:59 PM

Change 598868 merged by jenkins-bot:
[mediawiki/extensions/PageTriage@master] Replace use of NewRevisionFromEditComplete hook

https://gerrit.wikimedia.org/r/598868

DannyS712 updated the task description. (Show Details)May 27 2020, 10:48 PM

Change 599135 had a related patch set uploaded (by DannyS712; owner: DannyS712):
[mediawiki/core@master] Hard deprecate Revision::getParentId

https://gerrit.wikimedia.org/r/599135

Change 599135 merged by jenkins-bot:
[mediawiki/core@master] Hard deprecate Revision::getParentId and ::getVisibility

https://gerrit.wikimedia.org/r/599135

DannyS712 closed this task as Resolved.May 28 2020, 2:32 AM